org.apache.synapse.commons.throttle.module.handler

## Class ServiceLevelThrottleHandler

- java.lang.Object
- - org.apache.axis2.handlers.AbstractHandler
  - - org.apache.synapse.commons.throttle.module.handler.ThrottleHandler
    - - org.apache.synapse.commons.throttle.module.handler.ServiceLevelThrottleHandler

- All Implemented Interfaces:
    org.apache.axis2.engine.Handler

      public class ServiceLevelThrottleHandler
      extends ThrottleHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

      `org.apache.axis2.engine.Handler.InvocationResponse`

  - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.throttle.module.handler.ThrottleHandler

      `THROTTLING_CACHE, THROTTLING_CACHE_MANAGER`

    - ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

      `handlerDesc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceLevelThrottleHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getThrottleType()`
    `org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext msgContext)`

    - ### Methods inherited from class org.apache.synapse.commons.throttle.module.handler.ThrottleHandler

      `loadThrottle, process`

    - ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceLevelThrottleHandler

          public ServiceLevelThrottleHandler()

  - ### Method Detail

    - #### getThrottleType

          public int getThrottleType()

      Specified by:
        `getThrottleType` in class `ThrottleHandler`
      Returns:
        int - indicates the type of the throttle according to the scope

    - #### invoke

          public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext msgContext)
                                                                    throws org.apache.axis2.AxisFault

      Specified by:
        `invoke` in interface `org.apache.axis2.engine.Handler`
      Overrides:
        `invoke` in class `ThrottleHandler`
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.